## groovy.inspect.swingui
Class ObjectBrowser

A little GUI to show some of the Inspector capabilities. Starting this script opens the ObjectBrowser on "some String". Use it in groovysh or groovyConsole to inspect your object of interest with `ObjectBrowser.inspect(myObject)` .

author:
  Dierk Koenig

Field Summary
`def` | `fieldTable`
`def` | `frame`
`def` | `inspector`
`def` | `itemTable`
`def` | `mapTable`
`def` | `methodTable`
`def` | `swing`

Constructor Summary
`ObjectBrowser()`

Method Summary
`void` | `addSorter(def table)`
`static void` | `inspect(def objectUnderInspection)`
`static void` | `main(def args)`
`void` | `run()`
`void` | `showAbout(EventObject evt)`

Constructor Detail

### ObjectBrowser

    ObjectBrowser()

Method Detail

### addSorter

    void addSorter(def table)

### inspect

    public static void inspect(def objectUnderInspection)

### main

    public static void main(def args)

### run

    void run()

### showAbout

    void showAbout(EventObject evt)